
QGIS Application - Bug report #1860

Support thumbnail in legend  for raster providers

2009-08-06 11:44 AM - paulp575 -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Rasters

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11920

Description

When you add a Digital Elevation Model (DEM) layer, the icon in the Map Legend is displayed as a gray icon.

After updating the layer properties from Grayscale to Pseudocolor, and clicking on Apply and then OK, the icon does not update.

Clicking on View - Refresh does not update the icon.

The only way to update the icon is to exit QGIS and reopen the project.

History

#1 - 2009-08-06 01:12 PM - Giovanni Manghi

This is true also under linux (ubuntu) with the latest svn version of qgis. Tested with a Idrisi .rst DEM. True also for GRASS layers.

#2 - 2009-08-12 02:04 PM - Magnus Homann

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:26c8566b (SVN r11362).

#3 - 2009-08-12 09:00 PM - Giovanni Manghi

- Resolution deleted (fixed)

- Status changed from Closed to Feedback

Hi,

it works but not for GRASS rasters. For them, if the colormap is changed trough the grass toolbox, reloading the project is still necessary to refresh the icon

in the legend.

#4 - 2009-08-13 02:47 AM - Magnus Homann

Okay, I think we can call this a GRASS issue then. I don't do GRASS, so I can't test.

#5 - 2009-08-13 02:50 AM - Paolo Cavallini

- Status changed from Feedback to Open
#6 - 2010-02-12 11:24 AM - Redmine Admin

The same problem like #2440 , currently the thumbnail is hardcoded grey in raster layer for all providers (except built in GDAL).

#7 - 2010-06-12 12:33 AM - Paolo Cavallini

- Resolution set to fixed

- Status changed from Open to Closed

seems fixed. Please reopen if necessary
